AurionAI Docs

Post Widget Message

Ingest one widget text message into AurionAIAI conversation storage.

POST
/api/v1/widget/messages

Ingest one widget text message into AurionAIAI conversation storage.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/widget/messages" \  -H "Content-Type: application/json" \  -d '{    "body": "string",    "public_key": "stringst",    "tenant_id": "stringst"  }'
{
  "ai_message_id": "string",
  "ai_response": "string",
  "contact_id": "string",
  "conversation_id": "string",
  "deduplicated": true,
  "tenant_id": "string",
  "thread_id": "string",
  "user_message_id": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}